Page MenuHomeFreeBSD

New port: x11/j4-dmenu-dekstop: Fast desktop menu (i3-dmenu-desktop replacement)
ClosedPublic

Authored by 0mp on Jan 21 2019, 4:09 PM.

Details

Summary
New port: x11/j4-dmenu-dekstop: Fast desktop menu (i3-dmenu-desktop replacement)

j4-dmenu-desktop is a replacement for i3-dmenu-desktop. It's purpose is to find
.desktop files and offer you a menu to start an application using dmenu. Since
r2.7 j4-dmenu-desktop doesn't require i3wm anymore and should work just fine on
about any desktop environment.

You can also execute shell commands using it.

WWW: https://github.com/enkore/j4-dmenu-desktop
Test Plan
  • portlint -AC
  • poudriere (both i386 and amd64) on 12.0 and 13.0-CURRENT.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp retitled this revision from New port: x11/j4-dmenu-dekstop to [WIP] New port: x11/j4-dmenu-dekstop: Fast desktop menu (i3-dmenu-desktop replacement).Jan 22 2019, 11:10 AM
0mp edited the summary of this revision. (Show Details)
0mp edited the test plan for this revision. (Show Details)
x11/j4-dmenu-desktop/Makefile
26 ↗(On Diff #53050)
PORTDOCS=  README.md
0mp planned changes to this revision.Jan 25 2019, 10:00 AM
0mp edited the summary of this revision. (Show Details)
  • Upstream fixed compilation problems in the latest release.
  • Use PORTDOCS instead of DOCS_PLIST_FILES
0mp added reviewers: mat, krion.
0mp retitled this revision from [WIP] New port: x11/j4-dmenu-dekstop: Fast desktop menu (i3-dmenu-desktop replacement) to New port: x11/j4-dmenu-dekstop: Fast desktop menu (i3-dmenu-desktop replacement).
This revision is now accepted and ready to land.Mar 2 2019, 12:48 PM
This revision was automatically updated to reflect the committed changes.